# $Revision: 1.86 $, $Date: 2002/05/24 13:35:24 $
Summary:	Useful routines for 'C' programming
Summary(cs):	ikovn knihovna s funkcemi pro pomocn programy
Summary(da):	Nyttige biblioteksfunktioner
Summary(de):	Eine ntzliche Library von Dienstprogramm-Funktionen
Summary(fi):	Kirjasto, jossa on tykalufunktioita
Summary(fr):	Bibliothque de fonctions utilitaires
Summary(pl):	Biblioteka zawierajca wiele uytecznych funkcji C
Summary(tr):	Yararl ufak yordamlar kitapl
Name:		glib
Version:	1.2.10
Release:	6
Epoch:		1
License:	LGPL
Group:		Libraries
Source0:	ftp://ftp.gtk.org/pub/gtk/v1.2/%{name}-%{version}.tar.gz
Source1:	http://developer.gnome.org/doc/API/%{name}-docs.tar.gz
Patch0:		%{name}-info.patch
URL:		http://www.gtk.org/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libglib1.2

%define		_prefix		/usr

%description
GLib, is a library which includes support routines for C such as
lists, trees, hashes, memory allocation, and many other things. GLIB
includes also generally useful data structures used by GIMP and many
other.

%description -l cs
ikovn knihovna s funkcemi pro pomocn programy. Vvojov knihovny a
hlaviky jsou v balku glib-devel.

%description -l da
Nyttigt bibliotek med forskellige funktioner. Udviklings- biblioteker
og headerfiler er i glib-devel pakken.

%description -l de
Eine ntzliche Library von Dienstprogramm-Funktionen.
Entwicklungs-Libraries und Header befinden sich in glib-devel.

%description -l fi
Kirjasto, jossa on tykalufunktioita. Kehitysversiot ja
header-tiedostot ovat glib-devel-paketissa.

%description -l pl
Glib jest zestawem bibliotek zawierajcych funkcje do obsugi list,
drzewek, funkcji mieszajcych, funkcji do alokacji pamici i wielu
innych podstawowych funkcji i rnych struktur danych uywanych przez
program GIMP i wiele innch.

%description -l tr
Yararl yordamlar kitapl. Gelitirme kitaplklar ve balk
dosyalar glib-devel paketinde yer almaktadr.

%package devel
Summary:	Glib heades files, documentation
Summary(pl):	Pliki nagwkowe i dokumentacja do glib
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	autoconf >= 2.13
Requires:	automake >= 1.4
Requires:	libtool	 >= 1.3.2
Obsoletes:	libglib1.2-devel

%description devel
Header files for the support library for the GIMP's X libraries, which
are available as public libraries. GLIB includes generally useful data
structures.

%description devel -l pl
Pliki nagwkowe i dokumentacja do glib przydatna przy pisaniu
programw wykorzystujcych t bibliotek.

%package static
Summary:	Static glib libraries
Summary(pl):	Biblioteki statyczne do glib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static glib libraries.

%description static -l pl
Biblioteki statyczne do glib.

%prep
%setup -q -a1
%patch0 -p1

%build
cp -f /usr/share/automake/config.* .
%configure2_13 \
	--enable-threads
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir} \
	pkgconfigdir=%{_pkgconfigdir}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libg*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc glib/*.html
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_pkgconfigdir}/*
%{_libdir}/glib
%{_includedir}/*
%{_aclocaldir}/*

%{_infodir}/glib.info*

%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/glib-config.1.*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: glib.spec,v $
Revision 1.86  2002/05/24 13:35:24  trojan
- new %%doc packing infrastructure

Revision 1.85  2002/04/25 16:24:54  arturs
fixed a small typo

Revision 1.84  2002/02/23 02:17:44  kloczek
- adapterized.

Revision 1.83  2002/02/22 23:28:57  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.82  2002/02/07 20:36:18  filon
- force updating config.{sub,guess) (needed for athlon build)
- release 6

Revision 1.81  2002/02/02 20:14:30  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.80  2002/02/01 00:35:21  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.79  2002/01/18 02:13:05  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.78  2002/01/02 15:45:08  kloczek
- release 5: added libglib1.2{,-devel} to Obsoletes for allow update from MDK.

Revision 1.77  2001/09/21 13:19:16  misiek
include real documentation

Revision 1.76  2001/08/08 22:32:28  agaran
s/configure/configure2_13/
im not able to fix that. and regenerating ac stuff causes fail in libtool
could somebody with better ac/am knowledge check how to fix that?

Revision 1.75  2001/07/26 05:42:07  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.73  2001/06/16 13:32:22  kloczek
- bump release to 3.

Revision 1.72  2001/04/13 06:17:11  kloczek
- release 2.

Revision 1.71  2001/04/11 23:15:17  qboosh
- use %%_pkgconfigdir macro
- typo

Revision 1.70  2001/04/02 10:25:54  kloczek
- updated to 1.2.10.

Revision 1.69  2001/03/18 20:50:49  kloczek
- bump release to 2.

Revision 1.68  2001/03/03 12:06:20  kloczek
- removed gccwarn patch,
- added lib*.la and pkgconfig files to devel.

Revision 1.67  2001/03/03 11:41:22  misiek
1.2.9; stb

Revision 1.66  2000/11/25 02:54:39  kloczek
- added "Epoch: 1" for allow upgrade from RH version.

Revision 1.65  2000/11/25 02:47:10  kloczek
- release 6: merge rawhide gccwarn patch.

Revision 1.64  2000/09/30 19:57:42  kloczek
- release 5: use rpm new automation suit.

Revision 1.63  2000/08/31 05:57:36  kloczek
- back 1.2.8 on HEAD,
- release 4.

Revision 1.62  2000/08/28 15:12:47  klakier
- changes for version 1.3

Revision 1.61  2000/06/21 16:43:10  kloczek
- release 2.

Revision 1.60  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.59  2000/06/09 07:22:51  kloczek
- added using %%{__make} macro.

Revision 1.58  2000/05/25 17:07:56  kloczek
- updated to 1.2.8.

Revision 1.57  2000/05/24 16:50:45  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.56  2000/05/18 23:33:05  kloczek
- release 4,
- spec adapterized,
- added using %%{_aclocaldir} macro.

Revision 1.55  2000/05/15 00:13:29  kloczek
- release 3.

Revision 1.54  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.53  2000/04/01 11:14:31  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.52  2000/03/28 16:54:18  baggins
- translated kloczkish into english

Revision 1.51  2000/02/16 23:55:22  kloczek
- updated to 1.2.7 (rel 2).

Revision 1.50  1999/12/30 20:11:04  kloczek
- release 3 (in RH 6.1 is 2).

Revision 1.49  1999/12/18 16:05:31  cieciwa
- moveing back glibconfig.h to /usr/lib/glib/include.

Revision 1.48  1999/12/17 15:02:20  cieciwa
- fixes %files field.

Revision 1.47  1999/12/17 14:56:23  cieciwa
- release 2,
- moved config file from /usr/lib/glib/include to /usr/include.

Revision 1.46  1999/10/12 18:00:48  kloczek
- updated to 1.2.6.

Revision 1.45  1999/09/24 23:11:48  kloczek
- updated Source url.

Revision 1.44  1999/09/24 23:09:39  kloczek
- updated to 1.2.5.

Revision 1.43  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.42  1999/09/19 09:47:49  pius
- new {un}registering procedure for info pages using /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.41  1999/09/08 23:21:44  kloczek
- simplifications in %build.

Revision 1.40  1999/08/29 20:20:25  kloczek
- added cs, da, de, fi, fr, tr translations from MandrakeLinux spec file.

Revision 1.39  1999/08/29 14:33:54  kloczek
- updated to 1.2.4.

Revision 1.38  1999/07/12 23:05:57  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon May 10 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.2.2-2]
-spec based on version included in tar ball,
- spec rewrited in PLD coding style,
- added pl translation.
